org.mozilla.javascript

## Class LazilyLoadedCtor

- java.lang.Object
- - org.mozilla.javascript.LazilyLoadedCtor

- All Implemented Interfaces:
    java.io.Serializable

      public final class LazilyLoadedCtor
      extends java.lang.Object
      implements java.io.Serializable

  Avoid loading classes unless they are used.

  This improves startup time and average memory usage.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazilyLoadedCtor(ScriptableObject scope, java.lang.String propertyName, java.lang.String className, boolean sealed)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LazilyLoadedCtor

          public LazilyLoadedCtor(ScriptableObject scope,
                                  java.lang.String propertyName,
                                  java.lang.String className,
                                  boolean sealed)